import { defineConfig } from 'tsup';

export default defineConfig({
  entry: ['src/index.ts'],
  outDir: 'dist',
  outExtension: () => {
    return {
      js: '.js',
    };
  },
  format: 'esm',
  external: ['@kevisual/router', '@kevisual/use-config'],
  sourcemap: false,
  clean: true,
  dts: false,
  splitting: false,
  treeshake: false,
});
